Bug 479535 - Review Request: gipfel - A tool to find the names of mountains or POI on a picture
Review Request: gipfel - A tool to find the names of mountains or POI on a pi...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 15:46 EST by Fabian Affolter
Modified: 2009-02-20 06:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-20 06:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2009-01-10 15:46:37 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel-0.2.5-1.fc9.src.rpm

Project URL: http://www.ecademix.com/JohannesHofmann/gipfel.html

Description:
gipfel is a tool to find the names of mountains or points of interest
on a picture. It uses a database containing names and GPS data. With
the given viewpoint (the point from which the picture was taken) and
two known mountains on the picture, it can compute all parameters
needed to compute the positions of other mountains on the picture.
gipfel can also generate (stitch) panorama images. 

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1044303

rpmlint output:
[fab@laptop024 i386]$ rpmlint gipfel*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint gipfel-0.2.5-1.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
Comment 1 Michael Schwendt 2009-01-13 14:19:47 EST
Directory %{_datadir}/%{name}/ is not included.
Comment 2 Fabian Affolter 2009-01-15 19:14:06 EST
Thanks Michael for your comment.

Updated files:

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel-0.2.5-2.fc9.src.rpm
Comment 3 Fabian Affolter 2009-01-26 10:09:42 EST
Unfortunately I deleted the spec file and the Source RPM at the mentioned location in Comment #2.  Please be patient till the two files are back.
Comment 4 Fabian Affolter 2009-01-26 16:56:56 EST
The files are back...
Comment 5 Fabian Affolter 2009-02-05 09:08:00 EST
Source RPM for Fedora 10

SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel-0.2.5-2.fc10.src.rpm
Comment 6 manuel wolfshant 2009-02-05 09:38:16 EST
I'd say that

GenericName=Genomic sequences viewer
Comment=Visualizer for multiple alignments of genomic sequences
Icon=redhat-starther

is a bit odd for gipsel :)
Comment 7 manuel wolfshant 2009-02-05 09:41:29 EST
Is there a specific reason to not use the latest version ( http://www.ecademix.com/JohannesHofmann/gipfel-0.2.6.tar.gz ) ?
Comment 8 manuel wolfshant 2009-02-05 10:09:52 EST
Everything seems OK, please update to 0.2.6 and I'll come back with a full review.
Comment 9 Fabian Affolter 2009-02-05 12:45:58 EST
(In reply to comment #6)
> I'd say that
> 
> GenericName=Genomic sequences viewer
> Comment=Visualizer for multiple alignments of genomic sequences
> Icon=redhat-starther
> 
> is a bit odd for gipsel :)

Yes, it is.  

(In reply to comment #7)
> Is there a specific reason to not use the latest version (
> http://www.ecademix.com/JohannesHofmann/gipfel-0.2.6.tar.gz ) ?

No


Updated files

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/gipfel-0.2.6-1.fc10.src.rpm
Comment 10 manuel wolfshant 2009-02-05 13:55:39 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [!] License field in the package spec file matches the actual license.
     License type as specified by the license tag:  GPLv2+
     License type: as specified by the sources: GPLv3+
==> see note 1
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: b12892834340323f38f60d2ce14df8f38aae9dfa  gipfel-0.2.6.tar.gz
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
 [!] Package consistently uses macros.
==> see note 2
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [x] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.


=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the test passes.


=== Final Notes ===
1. All source files reference the bundled COPYING file which is the stock GPLv3+
2. please replace desktop-file-install --dir=${RPM_BUILD_ROOT} with the equivalent %{buildroot} command

I am going to trust you to correct the above two issues before commit.
I also suggest to use "[...] POI finder" instead of "[...] POI namer" in the desktop file. I am not a native speaker so I might be wrong, but "namer" sounds odd.

================
*** APPROVED ***
================
Comment 11 Fabian Affolter 2009-02-05 15:16:22 EST
Thanks for the review.  I will fix all issues before I import the package.
Comment 12 Fabian Affolter 2009-02-05 15:17:04 EST
New Package CVS Request
=======================
Package Name:  gipfel
Short Description:  A tool to find the names of mountains or POI on a picture
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 13 Kevin Fenzi 2009-02-05 22:02:52 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.